收藏
回答

新版微信开发者工具在调用接口提示跨域的问题

问题模块
开发者工具

新版微信开发者工具在调用接口时总是提示 XMLHttpRequest cannot load https://api-test.1kmxc.com/appservice/weixin/autoQuestionDefine/findAutoQuestionDefine. A wildcard '*' cannot be used in the 'Access-Control-Allow-Origin' header when the credentials flag is true. Origin 'https://wechat-test.1kmxc.com' is therefore not allowed access. The credentials mode of an XMLHttpRequest is controlled by the withCredentials attribute. 而在v0.12.130400和之前的版本中都不存在这样的问题,该如何解决?

最后一次编辑于  2017-04-10  (未经腾讯允许,不得转载)
回答关注问题邀请回答
收藏

8 个回答

  • 林超
    林超
    2017-05-24

    新版本是已经解决了的,可否给下连接我们check下

    2017-05-24
    赞同
    回复
  • 林超
    林超
    2017-04-10

    这是公众号网页调试的bug


    下个版本会修复

    2017-04-10
    赞同
    回复
  • 英俊潇洒你冲哥
    英俊潇洒你冲哥
    2017-07-01

    这是我们主站的网址,之前一直报上面的错误,现在已经不再报错了。

    http://m.51tiangou.com。

    十分感谢~

    2017-07-01
    赞同
    回复
  • 小树叶
    小树叶
    2017-05-24

    我之前也遇到了这个问题,不知道0.17.171900这个版本有没有解决此问题。

    2017-05-24
    赞同
    回复
  • Biao.hou
    Biao.hou
    2017-05-04

    同求快点解决,一直在用老版本调试呢,老版本还会自动更新。

    2017-05-04
    赞同
    回复
  • 英俊潇洒你冲哥
    英俊潇洒你冲哥
    2017-04-14

    大赞啊!这个问题困扰我们很久,一直在用旧版的工具再调试

    2017-04-14
    赞同
    回复
  • 吴昊
    吴昊
    2017-04-13

    这个问题还没解决吗?至少存在俩月了。现在压根没法用0.12之后的版本做网页调试了。

    2017-04-13
    赞同
    回复
  • 默默牵挂
    默默牵挂
    2017-04-10

    太好了,每次更新都会试试,但是总是失望,用老版本的还会有些其他不是太严重的bug,这次有数了

    2017-04-10
    赞同
    回复